# Unique Login

### Overview

Unique Login is a Launcher feature that lets users log in to one device at a time. If the user successfully logs in to a second device, Launcher will force the original device to log out. This feature provides users with a unique log-in and unique log-out experience across all corporate-owned shared-user devices.

### Feature Configuration

To set up the Unique Login feature for a particular device profile or device group, please follow the steps below:

#### Enabling Unique Login using API Key

If enforceUniqueLogin is set to true, then the Unique Login feature will be enabled in the Launcher. If the organization uses an API key, it must be included in the configuration to enforce the feature.

```json
{
    ...
    "uniqueLogin": {
        "enforceUniqueLogin": true,
        "apiKey": "--- organization api key ---"
    }
    ...

}
```

#### Enabling Unique Login using Key Management

If the organization is using the Key Management feature, the API key field can be left blank. Set the value enforceUniqueLogin to true to enable the Unique Login feature.

```json
{
    ...
    "uniqueLogin": {
        "enforceUniqueLogin": true
    }
    ...

}
```

{% hint style="info" %}
Unique Login was introduced in Launcher 3.18.10.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher/security-and-safety/unique-login.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
